Imports UTS_Core.UTSModule.Station

Public Class GridNodeMoveDownCommand : Implements ICommand
    Private ReadOnly grd As StationPlanGrid
    Private ReadOnly startMoveRow As Integer
    Private ReadOnly moveRows As Integer
    Private ReadOnly moveEndRow As Integer

    Sub New(grd As StationPlanGrid, startMoveRow As Integer, moveRows As Integer, moveEndRow As Integer)
        Me.grd = grd
        Me.startMoveRow = startMoveRow
        Me.moveRows = moveRows
        Me.moveEndRow = moveEndRow
    End Sub

    Public Sub Redo() Implements ICommand.Redo
        grd.NodeMoveDownCommand(startMoveRow, moveRows)
    End Sub

    Public Sub Undo() Implements ICommand.Undo
        grd.NodeMoveUpCommand(moveEndRow, moveRows)
    End Sub
End Class
